org.apache.hc.core5.http.impl

## Class BasicEntityDetails

- java.lang.Object
- - org.apache.hc.core5.http.impl.BasicEntityDetails

- All Implemented Interfaces:
    EntityDetails

      public final class BasicEntityDetails
      extends Object
      implements EntityDetails

  Basic HTTP message entity details.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicEntityDetails(long len, ContentType contentType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentEncoding()` Returns content encoding of the entity, if known.
    `long` | `getContentLength()` Returns length of the entity, if known.
    `String` | `getContentType()` Returns content type of the entity, if known.
    `Set<String>` | `getTrailerNames()` Preliminary declaration of trailing headers.
    `boolean` | `isChunked()` Returns chunked transfer hint for this entity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicEntityDetails

          public BasicEntityDetails(long len,
                                    ContentType contentType)

  - ### Method Detail

    - #### getContentLength

          public long getContentLength()

      Description copied from interface: `EntityDetails`
      Returns length of the entity, if known.
      Specified by:
        `getContentLength` in interface `EntityDetails`

    - #### getContentType

          public String getContentType()

      Description copied from interface: `EntityDetails`
      Returns content type of the entity, if known.
      Specified by:
        `getContentType` in interface `EntityDetails`

    - #### getContentEncoding

          public String getContentEncoding()

      Description copied from interface: `EntityDetails`
      Returns content encoding of the entity, if known.
      Specified by:
        `getContentEncoding` in interface `EntityDetails`

    - #### isChunked

          public boolean isChunked()

      Description copied from interface: `EntityDetails`
      Returns chunked transfer hint for this entity.

      The behavior of wrapping entities is implementation dependent, but should respect the primary purpose.

      Specified by:
        `isChunked` in interface `EntityDetails`

    - #### getTrailerNames

          public Set<String> getTrailerNames()

      Description copied from interface: `EntityDetails`
      Preliminary declaration of trailing headers.
      Specified by:
        `getTrailerNames` in interface `EntityDetails`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.